<template>
  <div>
    <p>{{ title }} {{ counter }} mal geklickt</p>
    <button id="dings" v-on:click="increase">+1</button>
    <button @click="decrease">-1</button>
  </div>
</template>

<script setup>
import {ref} from "vue";

defineProps({
  title: {
    type: String,
    default: 'Du hast'
  }
})

const counter = ref(5); // 🤡🤡🤡

function increase(event) {
  console.log(event)
  counter.value++
  console.log(counter)
}

function decrease() {
  counter.value--
  console.log(counter)
}
</script>

<style scoped>
button {
  background: lightpink;
}
</style>
